• English
  • Query order results

    Request path

    /api/v2/payment/merchant/order/queryStatus

    Parameter list

    NameTypeLengthRequiredDescription
    orderIdString32NoUnique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo.
    orderNoString32NoUnique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId.

    Return value

    NameTypeLengthRequiredDescription
    orderIdString32yesThe unique Order Number of the merchant, which can be used to query transaction results.
    orderNoString32yesPalmPay platform Order No.
    merchantIdString32yesPalmPay merchant ID
    currencyString10yesCurrency (NGN)
    amountLong-yesTransaction amount (minimum unit measurement)
    orderStatusint20yesOrder Status
    remarkString200NoRemark
    errorMsgString200NoError message
    payMethodString-NoThis scenario is fixed to"bank_transfer"
    productTypeString-NoActual product type when the user pays the order e.g. pay_wallet, bank_transfer, mmo
    payerBankNameString-NoBank name of virtual account (returned when productType is bank_transfer)
    payerAccountNameString-NoAccount name of virtual account(returned when productType is bank_transfer)
    payerAccountTypeint20NoAccount type (pay with transfer -1)
    payerAccountIdString200NoVirtual Account ID (returned when -1)
    payerVirtualAccNoString200NoAccount no of virtual account(returned when productType is bank_transfer)
    orderExpireMillSecLong-yesRemaining expiration time of order (same as remaining validity time of virtual account)
    createdTimeLong-yesorder create time
    completedTimeLong-Noorder complate time
    payerString-NoPayerInfo (Only return to merchant in Whitelist,Please kindly ask BD to Apply if needed.)
    sessionIdString128NoChannel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee.

    Error Code

    Error Code

    Postman Example

    request

    
    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/order/queryStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId": "1558616686273",
        "orderNo": "24243423523432425444"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderId": "1558616686273",
        "orderNo": "242019052313044587518762420",
        "merchantId": "CH1913953825",
        "mobile": "023408186666666",
        "currency": "NGN",
        "amount": 900000,
        "orderStatus": 2,
        "remark": "test test",
        "payMethod": "bank_transfer",
        "payerAccountType": -1,
        "payerAccountId": "VA123123112312421",
        "payerVirtualAccNo": "8792003113",
        "orderExpireMilliSec": 3600000,
        "payer": {
          "accountNo": "1390451991",
          "accountName": "abigaile jack",
          "bankCode": "000014",
          "bankName": "ACCESS BANK NIGERIA"
        }
      }
    }